summaryrefslogtreecommitdiffstats
path: root/contrib/libucl/tests/basic.test
diff options
context:
space:
mode:
authorbapt <bapt@FreeBSD.org>2014-03-22 17:28:14 +0000
committerbapt <bapt@FreeBSD.org>2014-03-22 17:28:14 +0000
commitb471b8e16d6f2c205ae497402bad0a60c9cd6fa8 (patch)
treeaabc973b2e4479277f8fe9aa0e8ed539826fdca3 /contrib/libucl/tests/basic.test
parent841158cbfbfc6b699dbc10892c6cb878a66a5d7e (diff)
parent6b4d859b54b28a9d46c317ff21676aa37241f6de (diff)
downloadFreeBSD-src-b471b8e16d6f2c205ae497402bad0a60c9cd6fa8.zip
FreeBSD-src-b471b8e16d6f2c205ae497402bad0a60c9cd6fa8.tar.gz
Update to 20140321
This brings schema validation MFC after: 1 week
Diffstat (limited to 'contrib/libucl/tests/basic.test')
-rwxr-xr-xcontrib/libucl/tests/basic.test26
1 files changed, 26 insertions, 0 deletions
diff --git a/contrib/libucl/tests/basic.test b/contrib/libucl/tests/basic.test
new file mode 100755
index 0000000..a4a07eb
--- /dev/null
+++ b/contrib/libucl/tests/basic.test
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+PROG=${TEST_BINARY_DIR}/test_basic
+
+for _tin in ${TEST_DIR}/basic/*.in ; do
+ _t=`echo $_tin | sed -e 's/.in$//'`
+ _out=${TEST_OUT_DIR}/basic.out
+ $PROG $_t.in $_out
+ if [ $? -ne 0 ] ; then
+ echo "Test: $_t failed, output:"
+ cat $_out
+ rm $_out
+ exit 1
+ fi
+ if [ -f $_t.res ] ; then
+ diff -s $_out $_t.res -u 2>/dev/null
+ if [ $? -ne 0 ] ; then
+ rm $_out
+ echo "Test: $_t output missmatch"
+ exit 1
+ fi
+ fi
+ rm $_out
+done
+
+
OpenPOWER on IntegriCloud